MsWks4ZoneInternal::Frame Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MsWks4ZoneInternal::Frame Struct Reference

Internal: a frame ( position, type, ...) More...

## Public Types
enum | Type { Unknown = 0, Header, Footer, Table, Object, Textbox }
| the type of the frame which can represent header, footer, textbox, ... More...

## Public Member Functions
| Frame ()
| constructor More...

## Public Attributes
Type | m_type
| the frame type More...
MWAWPosition | m_position
| the position of the frame in the document More...
MWAWEntry | m_pictId
| some frames are associated with a picture stored in this entry ( name + id) More...
std::string | m_error
| a string to store unparsed data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Frame const &ft)
| operator<< More...

## Detailed Description

Internal: a frame ( position, type, ...)

## Member Enumeration Documentation

enum MsWks4ZoneInternal::Frame::Type

the type of the frame which can represent header, footer, textbox, ...

Enumerator
Unknown |
Header |
Footer |
Table |
Object |
Textbox |

## Constructor & Destructor Documentation

MsWks4ZoneInternal::Frame::Frame | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Frame const & | ft
| ) |  |
| friend

operator<<

Referenced by Frame().

## Member Data Documentation

std::string MsWks4ZoneInternal::Frame::m_error

a string to store unparsed data

Referenced by MsWks4ZoneInternal::operator<<(), and MsWks4Zone::readFRAM().

MWAWEntry MsWks4ZoneInternal::Frame::m_pictId

some frames are associated with a picture stored in this entry ( name + id)

Referenced by MsWks4ZoneInternal::operator<<(), and MsWks4Zone::readFRAM().

MWAWPosition MsWks4ZoneInternal::Frame::m_position

the position of the frame in the document

Referenced by Frame(), MsWks4ZoneInternal::operator<<(), and MsWks4Zone::readFRAM().

Type MsWks4ZoneInternal::Frame::m_type

the frame type

Referenced by MsWks4ZoneInternal::operator<<(), and MsWks4Zone::readFRAM().

The documentation for this struct was generated from the following file:

- MsWks4Zone.cxx